/*
** pat_8.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:50:39 1999 
** Last update Thu Oct 28 20:21:38 1999 
*/
#ifndef PAT_8_H
#define PAT_8_H	1

#include "pat.h"

extern t_pat		ascii_pat;
extern t_pat		s8_pat;
extern t_pat		u8_pat;
extern t_pat		u8assoc_pat;
extern t_pat		u8bitfield_pat;
extern t_pat		u8bitfieldassoc_pat;
extern t_pat		u8mask_pat;

/* PROTO pat_8.c */
/* pat_8.c */
t_status eight_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status ascii_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status ascii_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status ascii_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status ascii_pat_get_fields P((void *data, t_vec *vec_str));
t_status ascii_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status ascii_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status ascii_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status ascii_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status ascii_pat_insert P((void *data, char *buf, int len, char *value));
t_status ascii_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
t_status s8_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status s8_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status s8_pat_insert P((void *data, char *buf, int len, char *value));
t_status s8_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status s8_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status s8_pat_get_fields P((void *data, t_vec *vec_str));
t_status s8_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status s8_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status s8_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status u8_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u8_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u8_pat_insert P((void *data, char *buf, int len, char *value));
t_status u8_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status u8_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status u8_pat_get_fields P((void *data, t_vec *vec_str));
t_status u8_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status u8_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status u8_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status u8assoc_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u8assoc_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u8assoc_pat_insert P((void *data, char *buf, int len, char *value));
t_status u8assoc_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
t_status u8bitfield_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u8bitfield_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status u8bitfield_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status u8bitfield_pat_get_fields P((void *data, t_vec *vec_str));
t_status u8bitfield_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status u8bitfield_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status u8bitfield_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status u8bitfield_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u8bitfield_pat_insert P((void *data, char *buf, int len, char *value));
t_status u8bitfieldassoc_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u8bitfieldassoc_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u8bitfieldassoc_pat_insert P((void *data, char *buf, int len, char *value));
t_status u8bitfieldassoc_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
t_status u8mask_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u8mask_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u8mask_pat_insert P((void *data, char *buf, int len, char *value));
#endif
